MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024635Open CASCADE[OCCT] OCCT:Codingpublic2014-02-17 19:462014-05-05 13:38
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024635: Eliminate trivial compiler warnings by GCC in Debug mode
DescriptionGCC produces many more warnings in Debug mode than in optimized, due to inconsistent use of #ifdef DEB statement such that some good fragments of code become disabled in Debug mode, and some unused variables become defined.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027940)
abv (manager)
2014-02-18 09:27

Fix pushed to CR24635, please review (note that in BRepFill classes some messages to cout previously output when DEB is defined now will be output only when DRAW is defined)
(0027951)
jgv (developer)
2014-02-18 18:32

Ok.
(0027957)
mkv (tester)
2014-02-19 11:29

Release mode.

Dear BugMaster,

Branch CR24635 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 386b0d3e98c47c63ca868e92d0565536b0e98d93

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 382753204 / 383419896
Total CPU difference: 42055.19999999991 / 42572.35999999976

Testing on Windows:
Total MEMORY difference: 428996736 / 429063576
Total CPU difference: 31825.59375 / 33299.265625

There are not differences in images found by testdiff.
(0027982)
mkv (tester)
2014-02-20 14:43

Debug mode.

Dear BugMaster,

Branch CR24635 (and products from GIT master) was compiled on Linux and Windows platforms and tested on DEBUG mode.

Number of compiler warnings:

occt component :
Linux: 15 (66 on master)
Windows: 0 (0 on master)

products component :
Linux: 7 (7 on master)
Windows: 0 (10 on master)

Regressions/Differences:
No regressions/differences

- Related Changesets
occt: master 1896126e
Timestamp: 2014-02-14 12:03:01
Author: abv
Committer: apn
Details ] Diff ]
0024635: Eliminate trivial compiler warnings by GCC in Debug mode
mod - src/Bisector/Bisector_Inter.cxx Diff ] File ]
mod - src/Blend/Blend_CSWalking_4.gxx Diff ] File ]
mod - src/BRepFill/BRepFill_Evolved.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_MultiLine.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Inter2d.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_MakeLoops.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - src/Expr/Expr_BinaryExpression.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtCS.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SweepSectionGenerator.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.cxx Diff ] File ]
mod - src/GeomProjLib/GeomProjLib.cxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Inter.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_0.gxx Diff ] File ]
mod - src/LocOpe/LocOpe_CSIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Point2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vpr.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-17 19:46 abv New Issue
2014-02-17 19:46 abv Assigned To => kgv
2014-02-18 09:27 abv Note Added: 0027940
2014-02-18 09:27 abv Assigned To kgv => jgv
2014-02-18 09:27 abv Status new => resolved
2014-02-18 18:32 jgv Note Added: 0027951
2014-02-18 18:32 jgv Status resolved => reviewed
2014-02-18 18:53 mkv Assigned To jgv => mkv
2014-02-18 19:02 mkv Test case number => Not needed
2014-02-19 11:29 mkv Note Added: 0027957
2014-02-20 14:43 mkv Note Added: 0027982
2014-02-20 14:44 mkv Assigned To mkv => bugmaster
2014-02-20 14:44 mkv Status reviewed => tested
2014-02-24 12:44 apn Changeset attached => occt master 1896126e
2014-02-24 12:44 apn Assigned To bugmaster => apn
2014-02-24 12:44 apn Status tested => verified
2014-02-24 12:44 apn Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:38 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker